using developwithpassion.bdd.contexts;
using developwithpassion.bdd.mbunit;
using developwithpassion.bdd.mbunit.standard.observations;

namespace Domain.Specs
{
    public class MoneySpecs
    {
        public class concern : observations_for_a_static_sut {}

        public class when_added_to_another_money : concern
        {
            it should_result_in_a_money_that_represents_the_sum = () =>
            {
                var twoDollars = new Money(2.00m);
                var threeDollars = new Money(3m);
                var fiveDollars = new Money(5m);
                (twoDollars + threeDollars).should_be_equal_to(fiveDollars);
            };
        }
    }
}